/*
 * Copyright (C) 2008 ichi http://ichi.fool.jp/memo/ 
 *
 * MIT License
 * http://www.opensource.org/licenses/mit-license.php
 */
(function($){




/*** floating ***
 ■解説
 スクロールにぬるぬるついてくるやつ。
 *************************************************/
$.fn.floating = function(options){
	
	options = $.extend({
		wait: 100,
		minDuration : 100
	}, options);
	
	return $(this).each(function(){
		var $this = $(this);
		var boxTop = function(){return $this.offset().top};
		var startTop = boxTop();
		
		var timer;
		
		$(window)
			.scroll(function(){
				if(timer) return;
				timer = window.setTimeout(function(){
					var scrollTop = document.body.scrollTop || document.documentElement.scrollTop;
					var nowTop = boxTop();
					var targetTop = scrollTop + startTop;
					var duration = Math.max(options.minDuration, Math.abs(targetTop - nowTop));
					
					$this
						.animate({
							top: targetTop + "px"
						}, duration, function(){
							timer = 0;
						});
				}, options.wait);
			});
	});
};


})(jQuery);
